//全局变量，触摸开始位置
var startX = 0, startY = 0;

//touchstart事件
function touchSatrtFunc(evt) {
	try {
		//evt.preventDefault(); //阻止触摸时浏览器的缩放、滚动条滚动等

		var touch = evt.touches[0]; //获取第一个触点
		var x = Number(touch.pageX); //页面触点X坐标
		var y = Number(touch.pageY); //页面触点Y坐标
		//记录触点初始位置
		startX = x;
		startY = y;

	} catch (e) {
		alert('touchSatrtFunc：' + e.message);
	}
}

//touchmove事件，这个事件无法获取坐标
function touchMoveFunc(evt) {
	try {
		//evt.preventDefault(); //阻止触摸时浏览器的缩放、滚动条滚动等
		var touch = evt.touches[0]; //获取第一个触点
		var x = Number(touch.pageX); //页面触点X坐标
		var y = Number(touch.pageY); //页面触点Y坐标
		
		var endX = (x - startX)<0?-(x - startX):(x - startX);
		var endY = (y - startY)<0?-(y - startY):(y - startY);
		if(endX>endY){
			if((x - startX)>0){//向右滑动
				unBindSwipeEvent();
				setTimeout('bindSwipeEvent()',500);
				swipeRight();
			}else{//向左滑动
				unBindSwipeEvent();//解除时间绑定，500毫秒后重新绑定，解决2.3系统重复触发问题。
				setTimeout('bindSwipeEvent()',500);
				swipeLeft();
			}
		}else{
			if((y - startY)>0){
                //向下滑动
			}else{
				//向上滑动
			}
		}
	} catch (e) {
		alert('touchMoveFunc：' + e.message);
	}
}

//touchend事件
function touchEndFunc(evt) {
	try {
		//evt.preventDefault(); //阻止触摸时浏览器的缩放、滚动条滚动等
	} catch (e) {
		alert('touchEndFunc：' + e.message);
	}
}

//绑定事件
function bindSwipeEvent() {
	document.addEventListener('touchstart', touchSatrtFunc, false);
	document.addEventListener('touchmove', touchMoveFunc, false);
	document.addEventListener('touchend', touchEndFunc, false);
}

//解除绑定
function unBindSwipeEvent() {
	document.removeEventListener('touchstart', touchSatrtFunc, false);
	document.removeEventListener('touchmove', touchMoveFunc, false);
	document.removeEventListener('touchend', touchEndFunc, false);
}

//判断是否支持触摸事件,未使用
function isTouchDevice() {
	try {
		document.createEvent("TouchEvent");
		alert("支持TouchEvent事件！");

		bindSwipeEvent(); //绑定事件
	} catch (e) {
		alert("不支持TouchEvent事件！" + e.message);
	}
}

window.onload = bindSwipeEvent();